
// 1.Описати своїми словами навіщо потрібні функції у програмуванні.
//     Функція у програмуванні потрібні для скорочення зайвого коду. 
//     Це програмний блок який виконує певне завдання, 
//     він використовується тільки тоді коли він потрібен.
//     у випадку коли ми створюємо задекларовану функцію, то її взагалі можна створити один раз і викликати з 
//     будь-якого місця коду.

// 2.Описати своїми словами, навіщо у функцію передавати аргумент.
//     Через аргументи у функцію передаються значення якихось параметрів, 
//     із якими працює функція. Аргумент це свого роду пуста змінна, значення ж до аргумента вже передається в параметрі.
//     Діє по принципу співставлення, за принципом перщий аргумн дорівнює першому параметру.

// 3.Що таке оператор return та як він працює всередині функції?
//     Оператор return - пририває виконання функції та повертає значення 
//     результату виконання функціії у місце визову функції. return обовʼякуовий у разі використання 
//     function expression.








// Технічні вимоги:
// Отримати за допомогою модального вікна браузера два числа.
// Отримати за допомогою модального вікна браузера математичну операцію, яку потрібно виконати. Сюди може бути введено +, -, *, /.
// Створити функцію, в яку передати два значення та операцію.
// Вивести у консоль результат виконання функції.
// Необов'язкове завдання підвищеної складності
// Після введення даних додати перевірку їхньої коректності. Якщо користувач не ввів числа, або при вводі вказав не числа,
//  - запитати обидва числа знову (при цьому значенням за замовчуванням для кожної зі змінних має бути введена інформація раніше).

let firstNum
let secondNum
let mathOperator

do {
    firstNum = prompt('Enter first number', firstNum ? firstNum : '');
    secondNum = prompt('Enter second number', secondNum ? secondNum : '');
} while (!firstNum || isNaN(firstNum) || !secondNum || isNaN(secondNum))

do {
    mathOperator = prompt('Enter Math Operator', '/ * + -')
} while (!mathOperator)

function countUserNum (first, second, operator) {
    switch (operator) {
        case '*':
            console.log(first * second);
            break;
        case '+':
            console.log(+first + +second);
            break; 
        case '-':
            console.log(first - second);
            break;
        case '/':
            console.log(first / second);
            break;           
    }
}
countUserNum(firstNum, secondNum, mathOperator)